Bug 1255065 - dnf fails to properly calculate the space requirements for an update or install
dnf fails to properly calculate the space requirements for an update or install
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 10:12 EDT by Peter Robinson
Modified: 2017-06-27 15:28 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 15:28:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2015-08-19 10:12:39 EDT
I've seen this a number of times before. Sadly I can't capture the full output as it spewed out the top of my screen buffer.

--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib/python3.4/logging/__init__.py", line 982, in emit
    self.flush()
  File "/usr/lib/python3.4/logging/__init__.py", line 962, in flush
    self.stream.flush()
OSError: [Errno 28] No space left on device
Call stack:
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 146, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 168, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 223, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 599, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 670, in _run_transaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python3.4/site-packages/rpm/transaction.py", line 102, in run
    rc = TransactionSetCore.run(self, callback, data, self._probFilter)
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 413, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 474, in _instCloseFile
    display.filelog(pkg, action)
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 152, in filelog
    self.rpm_logger.info(msg)
Message: 'Upgraded: dracut-config-rescue-043-60.git20150811.fc23.armv7hl'
Arguments: ()
error: dracut-043-60.git20150811.fc23.armv7hl: install failed
error: unpacking of archive failed on file /etc/kernel/postinst.d/51-dracut-rescue-postinst.sh;55d48c1a: cpio: write
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 413, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 475, in _instCloseFile
    self._scriptout()
  File "/usr/lib/python3.4/site-packages/dnf/yum/rpmtrans.py", line 220, in _scriptout
    self.base.history.log_scriptlet_output(msgs)
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 1044, in log_scriptlet_output
    self._commit()
  File "/usr/lib/python3.4/site-packages/dnf/yum/history.py", line 825, in _commit
    return self._conn.commit()
sqlite3.OperationalError: database or disk is full
FATAL ERROR: python callback ??? failed, aborting!
Comment 1 Peter Robinson 2015-08-31 08:33:16 EDT
No, this is while the transaction was running, it should be calculating this before it and abort the update before any updates are applied!
Comment 2 Peter Robinson 2015-09-07 15:34:28 EDT
Still an issue:

$ dnf upgrade
Last metadata expiration check performed 2:16:37 ago on Mon Sep  7 17:06:08 2015.
Dependencies resolved.
===================================================================================================================================================================================================================
 Package                                                  Arch                                  Version                                                        Repository                                     Size
===================================================================================================================================================================================================================
Installing:
 kernel                                                   armv7hl                               4.2.0-300.fc23                                                 updates-testing                                44 k
 kernel-core                                              armv7hl                               4.2.0-300.fc23                                                 updates-testing                                17 M
 kernel-modules                                           armv7hl                               4.2.0-300.fc23                                                 updates-testing                                11 M
Upgrading:
 bind-libs                                                armv7hl                               32:9.10.3-0.1.rc1.fc23                                         updates-testing                               142 k
 bind-libs-lite                                           armv7hl                               32:9.10.3-0.1.rc1.fc23                                         updates-testing                               942 k
 bind-license                                             noarch                                32:9.10.3-0.1.rc1.fc23                                         updates-testing                                88 k
 bind-utils                                               armv7hl                               32:9.10.3-0.1.rc1.fc23                                         updates-testing                               396 k
 bind99-libs                                              armv7hl                               9.9.7-7.P3.fc23                                                fedora                                        581 k
 bind99-license                                           noarch                                9.9.7-7.P3.fc23                                                fedora                                         12 k
 btrfs-progs                                              armv7hl                               4.2-1.fc23                                                     fedora                                        535 k
 createrepo_c                                             armv7hl                               0.9.0-4.fc23                                                   updates-testing                                70 k
 createrepo_c-libs                                        armv7hl                               0.9.0-4.fc23                                                   updates-testing                                81 k
 deltarpm                                                 armv7hl                               3.6-11.fc23                                                    updates-testing                                84 k
 dhcp-client                                              armv7hl                               12:4.3.3-1.fc23                                                fedora                                        281 k
 dhcp-common                                              noarch                                12:4.3.3-1.fc23                                                fedora                                        193 k
 dhcp-libs                                                armv7hl                               12:4.3.3-1.fc23                                                fedora                                        130 k
 dnf                                                      noarch                                1.1.1-1.fc23                                                   updates-testing                               258 k
 dnf-conf                                                 noarch                                1.1.1-1.fc23                                                   updates-testing                                85 k
 dnf-plugins-core                                         noarch                                0.1.11-1.fc23                                                  updates-testing                                35 k
 drpm                                                     armv7hl                               0.2.0-3.fc23                                                   updates-testing                                30 k
 glib2                                                    armv7hl                               2.45.7-1.fc23                                                  fedora                                        2.1 M
 iwl100-firmware                                          noarch                                39.31.5.1-56.fc23                                              updates-testing                               153 k
 iwl1000-firmware                                         noarch                                1:39.31.5.1-56.fc23                                            updates-testing                               216 k
 iwl105-firmware                                          noarch                                18.168.6.1-56.fc23                                             updates-testing                               237 k
 iwl135-firmware                                          noarch                                18.168.6.1-56.fc23                                             updates-testing                               246 k
 iwl2000-firmware                                         noarch                                18.168.6.1-56.fc23                                             updates-testing                               239 k
 iwl2030-firmware                                         noarch                                18.168.6.1-56.fc23                                             updates-testing                               248 k
 iwl3160-firmware                                         noarch                                1:25.30.13.0-56.fc23                                           updates-testing                               845 k
 iwl3945-firmware                                         noarch                                15.32.2.9-56.fc23                                              updates-testing                                91 k
 iwl4965-firmware                                         noarch                                228.61.2.24-56.fc23                                            updates-testing                               104 k
 iwl5000-firmware                                         noarch                                8.83.5.1_1-56.fc23                                             updates-testing                               297 k
 iwl5150-firmware                                         noarch                                8.24.2.2-56.fc23                                               updates-testing                               149 k
 iwl6000-firmware                                         noarch                                9.221.4.1-56.fc23                                              updates-testing                               169 k
 iwl6000g2a-firmware                                      noarch                                18.168.6.1-56.fc23                                             updates-testing                               312 k
 iwl6000g2b-firmware                                      noarch                                18.168.6.1-56.fc23                                             updates-testing                               313 k
 iwl6050-firmware                                         noarch                                41.28.5.1-56.fc23                                              updates-testing                               245 k
 iwl7260-firmware                                         noarch                                1:25.30.13.0-56.fc23                                           updates-testing                               2.0 M
 less                                                     armv7hl                               479-2.fc23                                                     fedora                                        154 k
 libassuan                                                armv7hl                               2.3.0-1.fc23                                                   fedora                                         67 k
 libertas-sd8686-firmware                                 noarch                                20150904-56.git6ebf5d57.fc23                                   updates-testing                               116 k
 libertas-sd8787-firmware                                 noarch                                20150904-56.git6ebf5d57.fc23                                   updates-testing                               332 k
 libertas-usb8388-firmware                                noarch                                2:20150904-56.git6ebf5d57.fc23                                 updates-testing                               116 k
 libgpg-error                                             armv7hl                               1.20-1.fc23                                                    fedora                                        144 k
 libselinux                                               armv7hl                               2.4-3.fc23                                                     fedora                                        139 k
 libselinux-python3                                       armv7hl                               2.4-3.fc23                                                     fedora                                        274 k
 libselinux-utils                                         armv7hl                               2.4-3.fc23                                                     fedora                                        143 k
 libsemanage                                              armv7hl                               2.4-4.fc23                                                     updates-testing                               137 k
 libsmbclient                                             armv7hl                               2:4.3.0-0.1.rc4.fc23                                           fedora                                        113 k
 libwayland-client                                        armv7hl                               1.8.92-1.fc23                                                  fedora                                         28 k
 libwayland-server                                        armv7hl                               1.8.92-1.fc23                                                  fedora                                         32 k
 libwbclient                                              armv7hl                               2:4.3.0-0.1.rc4.fc23                                           fedora                                         90 k
 linux-firmware                                           noarch                                20150904-56.git6ebf5d57.fc23                                   updates-testing                                29 M
 parted                                                   armv7hl                               3.2-11.fc23                                                    fedora                                        520 k
 policycoreutils                                          armv7hl                               2.4-12.fc23                                                    fedora                                        908 k
 python3-coverage                                         armv7hl                               4.0-0.11.b2.fc23                                               updates-testing                               218 k
 python3-dnf                                              noarch                                1.1.1-1.fc23                                                   updates-testing                               447 k
 python3-dnf-plugins-core                                 noarch                                0.1.11-1.fc23                                                  updates-testing                                58 k
 python3-pytz                                             noarch                                2015.4-1.fc23                                                  updates-testing                                51 k
 rpm                                                      armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                               509 k
 rpm-build-libs                                           armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                               105 k
 rpm-libs                                                 armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                               249 k
 rpm-plugin-selinux                                       armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                                50 k
 rpm-plugin-systemd-inhibit                               armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                                50 k
 rpm-python3                                              armv7hl                               4.13.0-0.rc1.2.fc23                                            updates-testing                                94 k
 samba-client-libs                                        armv7hl                               2:4.3.0-0.1.rc4.fc23                                           fedora                                        3.9 M
 samba-common                                             noarch                                2:4.3.0-0.1.rc4.fc23                                           fedora                                         73 k
 satyr                                                    armv7hl                               0.19-2.fc23                                                    updates-testing                                93 k
 selinux-policy                                           noarch                                3.13.1-146.fc23                                                updates-testing                               424 k
 selinux-policy-targeted                                  noarch                                3.13.1-146.fc23                                                updates-testing                               5.7 M
Removing:
 kernel                                                   armv7hl                               4.2.0-0.rc7.git1.1.fc23                                        @System                                         0  
 kernel-core                                              armv7hl                               4.2.0-0.rc7.git1.1.fc23                                        @System                                        95 M
 kernel-modules                                           armv7hl                               4.2.0-0.rc7.git1.1.fc23                                        @System                                        39 M

Transaction Summary
===================================================================================================================================================================================================================
Install   3 Packages
Upgrade  66 Packages
Remove    3 Packages

Total download size: 84 M
Is this ok [y/N]: y
Downloading Packages:
(1/69): kernel-4.2.0-300.fc23.armv7hl.rpm                                                                                                                                          449 kB/s |  44 kB     00:00    
(2/69): kernel-modules-4.2.0-1.fc23_4.2.0-300.fc23.armv7hl.drpm                                                                                                                    1.5 MB/s | 453 kB     00:00    
(3/69): bind-libs-9.10.3-0.1.rc1.fc23.armv7hl.rpm                                                                                                                                  1.0 MB/s | 142 kB     00:00    
(4/69): bind-libs-lite-9.10.2-9.P3.fc23_9.10.3-0.1.rc1.fc23.armv7hl.drpm                                                                                                           1.4 MB/s | 361 kB     00:00    
(5/69): bind-license-9.10.3-0.1.rc1.fc23.noarch.rpm                                                                                                                                720 kB/s |  88 kB     00:00    
(6/69): bind-utils-9.10.3-0.1.rc1.fc23.armv7hl.rpm                                                                                                                                 1.5 MB/s | 396 kB     00:00    
(7/69): linux-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm                                                                                       990 kB/s | 1.7 MB     00:01    
(8/69): bind99-libs-9.9.7-7.P3.fc23.armv7hl.rpm                                                                                                                                    700 kB/s | 581 kB     00:00    
(9/69): btrfs-progs-4.2-1.fc23.armv7hl.rpm                                                                                                                                         1.9 MB/s | 535 kB     00:00    
(10/69): bind99-license-9.9.7-7.P3.fc23.noarch.rpm                                                                                                                                  27 kB/s |  12 kB     00:00    
(11/69): createrepo_c-0.9.0-4.fc23.armv7hl.rpm                                                                                                                                     516 kB/s |  70 kB     00:00    
(12/69): createrepo_c-libs-0.9.0-3.fc23_0.9.0-4.fc23.armv7hl.drpm                                                                                                                  364 kB/s |  17 kB     00:00    
(13/69): rpm-4.12.0.1-18.fc23_4.13.0-0.rc1.2.fc23.armv7hl.drpm                                                                                                                     1.7 MB/s | 208 kB     00:00    
(14/69): rpm-plugin-selinux-4.13.0-0.rc1.2.fc23.armv7hl.rpm                                                                                                                        1.1 MB/s |  50 kB     00:00    
(15/69): rpm-plugin-systemd-inhibit-4.13.0-0.rc1.2.fc23.armv7hl.rpm                                                                                                                1.3 MB/s |  50 kB     00:00    
(16/69): rpm-build-libs-4.13.0-0.rc1.2.fc23.armv7hl.rpm                                                                                                                            1.3 MB/s | 105 kB     00:00    
(17/69): rpm-libs-4.13.0-0.rc1.2.fc23.armv7hl.rpm                                                                                                                                  658 kB/s | 249 kB     00:00    
(18/69): rpm-python3-4.13.0-0.rc1.2.fc23.armv7hl.rpm                                                                                                                               1.0 MB/s |  94 kB     00:00    
(19/69): deltarpm-3.6-11.fc23.armv7hl.rpm                                                                                                                                          903 kB/s |  84 kB     00:00    
(20/69): dhcp-common-4.3.3-1.fc23.noarch.rpm                                                                                                                                       592 kB/s | 193 kB     00:00    
(21/69): dhcp-client-4.3.3-1.fc23.armv7hl.rpm                                                                                                                                      643 kB/s | 281 kB     00:00    
(22/69): dhcp-libs-4.3.3-1.fc23.armv7hl.rpm                                                                                                                                        821 kB/s | 130 kB     00:00    
(23/69): python3-dnf-1.1.0-2.fc23_1.1.1-1.fc23.noarch.drpm                                                                                                                         1.1 MB/s | 116 kB     00:00    
(24/69): dnf-1.1.1-1.fc23.noarch.rpm                                                                                                                                               863 kB/s | 258 kB     00:00    
(25/69): dnf-conf-1.1.1-1.fc23.noarch.rpm                                                                                                                                          906 kB/s |  85 kB     00:00    
(26/69): dnf-plugins-core-0.1.11-1.fc23.noarch.rpm                                                                                                                                 675 kB/s |  35 kB     00:00    
(27/69): python3-dnf-plugins-core-0.1.10-1.fc23_0.1.11-1.fc23.noarch.drpm                                                                                                          517 kB/s |  27 kB     00:00    
(28/69): drpm-0.2.0-2.fc23_0.2.0-3.fc23.armv7hl.drpm                                                                                                                               170 kB/s | 6.8 kB     00:00    
(29/69): iwl100-firmware-39.31.5.1-54.fc23_39.31.5.1-56.fc23.noarch.drpm                                                                                                           480 kB/s |  15 kB     00:00    
(30/69): iwl1000-firmware-39.31.5.1-54.fc23_39.31.5.1-56.fc23.noarch.drpm                                                                                                          579 kB/s |  15 kB     00:00    
(31/69): iwl105-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                         292 kB/s |  15 kB     00:00    
(32/69): iwl135-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                         401 kB/s |  15 kB     00:00    
(33/69): iwl2000-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                        657 kB/s |  15 kB     00:00    
(34/69): iwl2030-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                        351 kB/s |  15 kB     00:00    
(35/69): iwl3160-firmware-25.30.13.0-54.fc23_25.30.13.0-56.fc23.noarch.drpm                                                                                                        241 kB/s |  15 kB     00:00    
(36/69): iwl3945-firmware-15.32.2.9-54.fc23_15.32.2.9-56.fc23.noarch.drpm                                                                                                          415 kB/s |  15 kB     00:00    
(37/69): iwl4965-firmware-228.61.2.24-54.fc23_228.61.2.24-56.fc23.noarch.drpm                                                                                                      407 kB/s |  15 kB     00:00    
(38/69): iwl5000-firmware-8.83.5.1_1-54.fc23_8.83.5.1_1-56.fc23.noarch.drpm                                                                                                        304 kB/s |  15 kB     00:00    
(39/69): iwl5150-firmware-8.24.2.2-54.fc23_8.24.2.2-56.fc23.noarch.drpm                                                                                                            311 kB/s |  15 kB     00:00    
(40/69): iwl6000-firmware-9.221.4.1-54.fc23_9.221.4.1-56.fc23.noarch.drpm                                                                                                          291 kB/s |  15 kB     00:00    
(41/69): iwl6000g2a-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                     361 kB/s |  15 kB     00:00    
(42/69): kernel-core-4.2.0-1.fc23_4.2.0-300.fc23.armv7hl.drpm                                                                                                                      1.3 MB/s | 6.2 MB     00:04    
(43/69): iwl6000g2b-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm                                                                                                      55 kB/s |  15 kB     00:00    
(44/69): iwl6050-firmware-41.28.5.1-54.fc23_41.28.5.1-56.fc23.noarch.drpm                                                                                                          319 kB/s |  15 kB     00:00    
(45/69): iwl7260-firmware-25.30.13.0-54.fc23_25.30.13.0-56.fc23.noarch.drpm                                                                                                        400 kB/s |  17 kB     00:00    
(46/69): glib2-2.45.7-1.fc23.armv7hl.rpm                                                                                                                                           1.5 MB/s | 2.1 MB     00:01    
(47/69): less-479-2.fc23.armv7hl.rpm                                                                                                                                               347 kB/s | 154 kB     00:00    
(48/69): libertas-sd8686-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm                                                                            320 kB/s |  15 kB     00:00    
(49/69): libassuan-2.3.0-1.fc23.armv7hl.rpm                                                                                                                                        141 kB/s |  67 kB     00:00    
(50/69): libertas-sd8787-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm                                                                            268 kB/s |  15 kB     00:00    
(51/69): libertas-usb8388-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm                                                                           262 kB/s |  15 kB     00:00    
(52/69): libselinux-2.4-3.fc23.armv7hl.rpm                                                                                                                                         846 kB/s | 139 kB     00:00    
(53/69): libselinux-python3-2.4-3.fc23.armv7hl.rpm                                                                                                                                 1.3 MB/s | 274 kB     00:00    
(54/69): libgpg-error-1.20-1.fc23.armv7hl.rpm                                                                                                                                      438 kB/s | 144 kB     00:00    
(55/69): libsemanage-2.4-2.fc23_2.4-4.fc23.armv7hl.drpm                                                                                                                            499 kB/s |  68 kB     00:00    
(56/69): libselinux-utils-2.4-3.fc23.armv7hl.rpm                                                                                                                                   706 kB/s | 143 kB     00:00    
(57/69): libwayland-client-1.8.92-1.fc23.armv7hl.rpm                                                                                                                               310 kB/s |  28 kB     00:00    
(58/69): libwayland-server-1.8.92-1.fc23.armv7hl.rpm                                                                                                                               377 kB/s |  32 kB     00:00    
(59/69): libwbclient-4.3.0-0.1.rc4.fc23.armv7hl.rpm                                                                                                                                884 kB/s |  90 kB     00:00    
(60/69): libsmbclient-4.3.0-0.1.rc4.fc23.armv7hl.rpm                                                                                                                               253 kB/s | 113 kB     00:00    
(61/69): python3-coverage-4.0-0.10.b1.fc23_4.0-0.11.b2.fc23.armv7hl.drpm                                                                                                           552 kB/s |  49 kB     00:00    
(62/69): python3-pytz-2012d-8.fc23_2015.4-1.fc23.noarch.drpm                                                                                                                       279 kB/s |  19 kB     00:00    
(63/69): parted-3.2-11.fc23.armv7hl.rpm                                                                                                                                            848 kB/s | 520 kB     00:00    
(64/69): samba-common-4.3.0-0.1.rc4.fc23.noarch.rpm                                                                                                                                239 kB/s |  73 kB     00:00    
(65/69): policycoreutils-2.4-12.fc23.armv7hl.rpm                                                                                                                                   1.0 MB/s | 908 kB     00:00    
(66/69): satyr-0.19-1.fc23_0.19-2.fc23.armv7hl.drpm                                                                                                                                285 kB/s |  19 kB     00:00    
(67/69): selinux-policy-3.13.1-146.fc23.noarch.rpm                                                                                                                                 1.3 MB/s | 424 kB     00:00    
(68/69): samba-client-libs-4.3.0-0.1.rc4.fc23.armv7hl.rpm                                                                                                                          1.6 MB/s | 3.9 MB     00:02    
(69/69): selinux-policy-targeted-3.13.1-146.fc23.noarch.rpm                                                                                                                        1.6 MB/s | 5.7 MB     00:03    
[DRPM] kernel-modules-4.2.0-1.fc23_4.2.0-300.fc23.armv7hl.drpm: done                                                                                                                                              
[DRPM] bind-libs-lite-9.10.2-9.P3.fc23_9.10.3-0.1.rc1.fc23.armv7hl.drpm: done                                                                                                                                     
[DRPM] linux-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm: done                                                                                                                 
[DRPM] createrepo_c-libs-0.9.0-3.fc23_0.9.0-4.fc23.armv7hl.drpm: done                                                                                                                                             
[DRPM] rpm-4.12.0.1-18.fc23_4.13.0-0.rc1.2.fc23.armv7hl.drpm: done                                                                                                                                                
[DRPM] python3-dnf-1.1.0-2.fc23_1.1.1-1.fc23.noarch.drpm: done                                                                                                                                                    
[DRPM] python3-dnf-plugins-core-0.1.10-1.fc23_0.1.11-1.fc23.noarch.drpm: done                                                                                                                                     
[DRPM] drpm-0.2.0-2.fc23_0.2.0-3.fc23.armv7hl.drpm: done                                                                                                                                                          
[DRPM] iwl100-firmware-39.31.5.1-54.fc23_39.31.5.1-56.fc23.noarch.drpm: done                                                                                                                                      
[DRPM] iwl1000-firmware-39.31.5.1-54.fc23_39.31.5.1-56.fc23.noarch.drpm: done                                                                                                                                     
[DRPM] iwl105-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                    
[DRPM] iwl135-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                    
[DRPM] iwl2000-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                   
[DRPM] iwl2030-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                   
[DRPM] iwl3160-firmware-25.30.13.0-54.fc23_25.30.13.0-56.fc23.noarch.drpm: done                                                                                                                                   
[DRPM] iwl3945-firmware-15.32.2.9-54.fc23_15.32.2.9-56.fc23.noarch.drpm: done                                                                                                                                     
[DRPM] iwl4965-firmware-228.61.2.24-54.fc23_228.61.2.24-56.fc23.noarch.drpm: done                                                                                                                                 
[DRPM] iwl5000-firmware-8.83.5.1_1-54.fc23_8.83.5.1_1-56.fc23.noarch.drpm: done                                                                                                                                   
[DRPM] iwl5150-firmware-8.24.2.2-54.fc23_8.24.2.2-56.fc23.noarch.drpm: done                                                                                                                                       
[DRPM] iwl6000-firmware-9.221.4.1-54.fc23_9.221.4.1-56.fc23.noarch.drpm: done                                                                                                                                     
[DRPM] iwl6000g2a-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                
[DRPM] kernel-core-4.2.0-1.fc23_4.2.0-300.fc23.armv7hl.drpm: done                                                                                                                                                 
[DRPM] iwl6000g2b-firmware-18.168.6.1-54.fc23_18.168.6.1-56.fc23.noarch.drpm: done                                                                                                                                
[DRPM] iwl6050-firmware-41.28.5.1-54.fc23_41.28.5.1-56.fc23.noarch.drpm: done                                                                                                                                     
[DRPM] iwl7260-firmware-25.30.13.0-54.fc23_25.30.13.0-56.fc23.noarch.drpm: done                                                                                                                                   
[DRPM] libertas-sd8686-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm: done                                                                                                       
[DRPM] libertas-sd8787-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm: done                                                                                                       
[DRPM] libertas-usb8388-firmware-20150715-54.git69640304.fc23_20150904-56.git6ebf5d57.fc23.noarch.drpm: done                                                                                                      
[DRPM] libsemanage-2.4-2.fc23_2.4-4.fc23.armv7hl.drpm: done                                                                                                                                                       
[DRPM] python3-coverage-4.0-0.10.b1.fc23_4.0-0.11.b2.fc23.armv7hl.drpm: done                                                                                                                                      
[DRPM] python3-pytz-2012d-8.fc23_2015.4-1.fc23.noarch.drpm: done                                                                                                                                                  
[DRPM] satyr-0.19-1.fc23_0.19-2.fc23.armv7hl.drpm: done                                                                                                                                                           
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                              130 kB/s |  28 MB     03:37     
Delta RPMs reduced 84.2 MB of updates to 27.6 MB (67.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Error: Transaction check error:
  installing package kernel-core-4.2.0-300.fc23.armv7hl needs 35MB on the /boot filesystem

Error Summary
-------------
Disk Requirements:
  At least 35MB more space needed on the /boot filesystem.
Comment 3 Michael Mráka 2015-09-08 05:49:17 EDT
Peter,

I'm afraid this kind of out-of-space issue can't be prevented by dnf.
The reason is that before the package is unpacked during install transaction none has a clue it requires extra space on a specific partition (/boot in this case).

This is why (by default) /boot partition should be big enough to fit 3 version of kernel in.

Regards,
Michael
Comment 4 Peter Robinson 2015-09-08 05:51:47 EDT
> I'm afraid this kind of out-of-space issue can't be prevented by dnf.
> The reason is that before the package is unpacked during install transaction
> none has a clue it requires extra space on a specific partition (/boot in
> this case).

yum use to detect the issue just fine, it's not just /boot I've seen the issue on root too.
Comment 5 Michael Mráka 2015-09-08 06:05:17 EDT
> yum use to detect the issue just fine,

That isn't quite true:

# yum-deprecated update kernel
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.
...
==========================================================================================================
 Package                     Arch                Version                     Repository              Size
==========================================================================================================
Installing:
 kernel                      x86_64              4.1.6-200.fc22              updates                 68 k
 kernel-core                 x86_64              4.1.6-200.fc22              updates                 19 M
 kernel-modules              x86_64              4.1.6-200.fc22              updates                 18 M
Removing:
 kernel                      x86_64              4.1.3-201.fc22              installed              0.0  
 kernel-core                 x86_64              4.1.3-201.fc22              installed               42 M
 kernel-modules              x86_64              4.1.3-201.fc22              installed               17 M

Transaction Summary
==========================================================================================================
Install  3 Packages
Remove   3 Packages

Total download size: 37 M
Is this ok [y/d/N]: y
Downloading packages:
Not downloading deltainfo for updates, MD is 964 k and rpms are 68 k
(1/3): kernel-4.1.6-200.fc22.x86_64.rpm                                            |  68 kB  00:00:00     
(2/3): kernel-core-4.1.6-200.fc22.x86_64.rpm                                       |  19 MB  00:00:00     
(3/3): kernel-modules-4.1.6-200.fc22.x86_64.rpm                                    |  18 MB  00:00:00     
----------------------------------------------------------------------------------------------------------
Total                                                                      27 MB/s |  37 MB  00:00:01     
Running transaction check
Running transaction test


Transaction check error:
  installing package kernel-core-4.1.6-200.fc22.x86_64 needs 29MB on the /boot filesystem

Error Summary
-------------
Disk Requirements:
  At least 29MB more space needed on the /boot filesystem.
Comment 6 Peter Robinson 2015-09-08 06:08:16 EDT
(In reply to Michael Mráka from comment #5)
> > yum use to detect the issue just fine,
> 
> That isn't quite true:

How does the below now show it's true? It detects that there's not enough space and stops the transaction before shit breaks. dnf does not do that, it will blindly continue, run out of space and fail.

> Transaction check error:
>   installing package kernel-core-4.1.6-200.fc22.x86_64 needs 29MB on the
> /boot filesystem
> 
> Error Summary
> -------------
> Disk Requirements:
>   At least 29MB more space needed on the /boot filesystem.
Comment 7 Michael Mráka 2015-09-08 08:08:05 EDT
I can see

dnf:
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'
Error: Transaction check error:
  installing package kernel-core-4.2.0-300.fc23.armv7hl needs 35MB on the /boot filesystem

yum:
Running transaction check
Running transaction test

Transaction check error:
  installing package kernel-core-4.1.6-200.fc22.x86_64 needs 29MB on the /boot filesystem

So both stop after running transaction test with the same message (needs more space on /boot). Where's the difference you see? What did dnf break?



PS: Please re-check your wording before you hit send button.
Comment 8 Peter Robinson 2015-09-08 08:40:07 EDT
> So both stop after running transaction test with the same message (needs
> more space on /boot). Where's the difference you see? What did dnf break?

See comment 1, dnf doesn't alway get it right

> PS: Please re-check your wording before you hit send button.

What does that even mean?
Comment 9 Peter Robinson 2015-09-17 12:20:47 EDT
Yet another example of where it doesn't detect space needed. 

In this case I forgot to expand the rootfs:
/dev/sda2                1.1G  1.1G     0 100% /

I was trying to install freeipa, there's no way it would have ever fit but it still tried anyway.

dnf-1.1.1-2.fc23.noarch
dnf-conf-1.1.1-2.fc23.noarch
dnf-plugins-core-0.1.11-1.fc23.noarch
dnf-yum-1.1.1-2.fc23.noarch
python3-dnf-1.1.1-2.fc23.noarch
python3-dnf-plugins-core-0.1.11-1.fc23.noarch


(158/241): python-cryptography-1.0-1.fc23.armv7hl.rpm                                                                                                                              967 kB/s | 407 kB     00:00    
(159/241): python-lxml-3.4.4-1.fc23.armv7hl.rpm                                                                                                                                    1.3 MB/s | 834 kB     00:00    
(160/241): cups-libs-2.1-0.3rc1.fc23.armv7hl.rpm                                                                                                                                   888 kB/s | 364 kB     00:00    
(161/241): libwbclient-4.3.0-0.1.rc4.fc23.armv7hl.rpm                                                                                                                              880 kB/s |  90 kB     00:00    
(162/241): samba-common-4.3.0-0.1.rc4.fc23.noarch.rpm                                                                                                                              665 kB/s |  73 kB     00:00    
(163/241): samba-client-libs-4.3.0-0.1.rc4.fc23.armv7hl.rpm                                                                                                                        1.7 MB/s | 3.9 MB     00:02    
(164/241): python-ply-3.6-2.fc23.noarch.rpm                                                                                                                                        518 kB/s | 149 kB     00:00    
(165/241): python-idna-2.0-1.fc23.noarch.rpm                                                                                                                                       352 kB/s |  97 kB     00:00    
(166/241): jss-4.2.6-37.fc23.armv7hl.rpm                                                                                                                                           903 kB/s | 695 kB     00:00    
[MIRROR] pki-server-10.2.6-7.fc23.noarch.rpm: Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]
--- Logging error ---.8.0-openjdk-headless-1.8.0.60-14.b27.fc23.armv7hl.rpm            47% [========================================-                                            ] 2.5 MB/s |  52 MB     00:23 ETA
Traceback (most recent call last):
  File "/usr/lib/python3.4/logging/__init__.py", line 982, in emit
    self.flush()
  File "/usr/lib/python3.4/logging/__init__.py", line 962, in flush
    self.stream.flush()
OSError: [Errno 28] No space left on device
Call stack:
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 211, in do_transaction
    total_cb)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 875, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 145, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
Message: 'Call: %s: %s, %s'
Arguments: ('RPMPayload._end_cb', (<dnf.repo.RPMPayload object at 0xb4a52ef0>, 2, 'Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]'), {})
[FAILED] pki-server-10.2.6-7.fc23.noarch.rpm: Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]
--- Logging error ----commons-collections-3.2.1-26.fc23.noarch.rpm                     49% [=========================================-                                           ] 2.7 MB/s |  54 MB     00:20 ETA
Traceback (most recent call last):
  File "/usr/lib/python3.4/logging/__init__.py", line 982, in emit
    self.flush()
  File "/usr/lib/python3.4/logging/__init__.py", line 962, in flush
    self.stream.flush()
OSError: [Errno 28] No space left on device
Call stack:
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 211, in do_transaction
    total_cb)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 875, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 145, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
Message: 'Call: %s: %s, %s'
Arguments: ('RPMPayload._end_cb', (<dnf.repo.RPMPayload object at 0xb4a52e50>, 2, 'Not finished - interrupted by error: Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]'), {})
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib/python3.4/logging/__init__.py", line 982, in emit
    self.flush()
  File "/usr/lib/python3.4/logging/__init__.py", line 962, in flush
    self.stream.flush()
OSError: [Errno 28] No space left on device
Call stack:
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 198, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 144, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 173, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 211, in do_transaction
    total_cb)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 875, in download_packages
    errors = dnf.repo.download_payloads(payloads, drpm)
  File "/usr/lib/python3.4/site-packages/dnf/repo.py", line 126, in download_payloads
    librepo.download_packages(targets, failfast=True)
  File "/usr/lib/python3.4/site-packages/librepo/__init__.py", line 1505, in download_packages
    return _librepo.download_packages(list, failfast)
  File "/usr/lib/python3.4/site-packages/dnf/util.py", line 145, in new_func
    log_call('Call: %s: %s, %s', name, args[1:], kwargs)
Message: 'Call: %s: %s, %s'
Arguments: ('RPMPayload._end_cb', (<dnf.repo.RPMPayload object at 0xb4a52fd0>, 2, 'Not finished - interrupted by error: Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]'), {})

The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Error downloading packages:
  Curl error (23): Failed writing received data to disk/application for http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/fedora/linux/development/23/armhfp/os/Packages/p/pki-server-10.2.6-7.fc23.noarch.rpm [Failed writing body (11142 != 16384)]
Comment 10 Brendan Conoboy 2015-09-17 12:36:12 EDT
I don't see the value in splitting hairs about whether yum did this better.  There's really 2 requests here:

1. Do a final space check before actually installing or updating the packages on the filesystem.  Once the updates are in motion a failure can leave the system in an unusuable state, so doing this check as late as possible is beneficial.  We don't have perfect information until after the fact, but just at the start we have the most information available.

2. DNF is evidently being too optmistic about whether an update will fit- make it more cynical by default.  As an example if it calculates that 99MB of space is needed and 100MB is available, fail because that's too close to rely upon.  Maybe this already happens but the threshold is too slight  It may take a few iterations to find the right threshold, but being conservative here will lead to a better user experience.
Comment 11 Fedora Admin XMLRPC Client 2016-07-08 05:37:29 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora End Of Life 2016-11-24 07:20:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Michael Mráka 2016-11-30 04:10:54 EST
There isn't much more we can do about improving calculating free. 
Anyway missing free space should not trigger traceback.
Comment 14 Fedora End Of Life 2017-02-28 04:48:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 15 Jaroslav Mracek 2017-06-27 15:28:35 EDT
During last development we improved catching of tracebacks in rpmtrans module, therefore I believe that there could be an improvement. Unfortunately I can only agree with Michael Mraka, that we cannot predict better the real size of package after installation. The reason is quite simple, each package can run scriplets and they can do nearly anything. Like get a random number and then create a file with that size. Then how you can get the size of package installation before it is performed? 
Please if anyone will be able to reproduce the tracebacks if system runs out of memory, don't hesitate to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.